# private-shared-object-provides
%define __noautoprov 'Util.so'

%define upstream_name    Scalar-List-Utils
%define upstream_version 1.48

Summary:	List utilities (eg min, max, reduce)
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	6
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:	perl(Test::More)
BuildRequires:	perl-devel

%description
'List::Util' contains a selection of subroutines that people have expressed
would be nice to have in the perl core, but the usage would not really be
high enough to warrant the use of a keyword, and the size so small such
that being individual extensions would be wasteful.

By default 'List::Util' does not export any subroutines. The subroutines
defined are

* first BLOCK LIST

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.json META.yml 
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog

* Tue Aug 22 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.480.0-6
- (ff3e75b) Updated to 1.48


